<!DOCTYPE html>
<html lang="en">

{% load static %}

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Fusilli.IO - Dashboard Kore</title>
    <link rel="apple-touch-icon" sizes="180x180" href="{% static 'imgs/favs/apple-icon-180x180.png' %}">
    <link rel="icon" type="image/png" sizes="32x32" href="{% static 'imgs/favs/favicon-32x32.png' %}">
    <link rel="icon" type="image/png" sizes="96x96" href="{% static 'imgs/favs/favicon-96x96.png' %}">
    <link rel="icon" type="image/png" sizes="16x16" href="{% static 'imgs/favs/favicon-16x16.png' %}">

    <!-- Custom fonts for this template-->
    <link href="{% static 'vendor/fontawesome-free/css/all.min.css' %}" rel="stylesheet" type="text/css">

    <!-- Page level plugin CSS-->
    <link href="{% static 'vendor/datatables/dataTables.bootstrap4.css' %}" rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="{% static 'css/sb-admin.css' %}" rel="stylesheet">
    <link href="{% static 'css/styles.css' %}" rel="stylesheet">
    <link href="https://cdn.datatables.net/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" crossorigin="anonymous" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/js/all.min.js" crossorigin="anonymous"></script>
</head>

<body class="sb-nav-fixed">
<nav class="sb-topnav navbar navbar-expand navbar-dark bg-dark">
    <a class="navbar-brand" href="#"><img src="{% static 'imgs/logo-fusilli.io-grey.png' %}" width="20%">    Fusilli.IO - Kore</a>
    <button class="btn btn-link btn-sm order-1 order-lg-0" id="sidebarToggle" href="#"><i class="fas fa-bars"></i></button>
    <!-- Navbar Search-->
    {#    <form class="d-none d-md-inline-block form-inline ml-auto mr-0 mr-md-3 my-2 my-md-0">#}
    {#        <div class="input-group">#}
    {#            <input class="form-control" type="text" placeholder="Search for..." aria-label="Search" aria-describedby="basic-addon2" />#}
    {#            <div class="input-group-append">#}
    {#                <button class="btn btn-primary" type="button"><i class="fas fa-search"></i></button>#}
    {#            </div>#}
    {#        </div>#}
    {#    </form>#}
    <!-- Navbar-->
</nav>
<div id="layoutSidenav">
    <div id="layoutSidenav_nav">
        <nav class="sb-sidenav accordion sb-sidenav-dark" id="sidenavAccordion">
            <div class="sb-sidenav-menu">
                <div class="nav">
                    <div class="sb-sidenav-menu-heading">Kore</div>
                    <a class="nav-link" href="#">
                        <div class="sb-nav-link-icon"><i class="fas fa-tachometer-alt"></i></div>
                        Dashboard Kore
                    </a>

                </div>
            </div>
            <div class="sb-sidenav-footer">
                <div class="small">Logged in as:</div>
                Fusilli.IO
            </div>
        </nav>
    </div>
    <div id="layoutSidenav_content">
        <main>
            <div class="container-fluid">
                <h1 class="mt-4">Dashboard Kore</h1>
                <div class="row">
                    <div class="col-xl-6">
                        <div class="card mb-4">
                            <div class="card-header">
                                <i class="fas fa-wrench mr-1"></i>
                                Kafka Configuration
                            </div>
                            <div class="card-body">
                                <table class="table table-bordered">
                                    <thead>
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">Key</th>
                                        <th scope="col">Value</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <th scope="row">1</th>
                                        <td>Host</td>
                                        <td>{{ results.fusilli_k8s_data_back_plane.host }}</td>
                                    </tr>
                                    <tr>
                                        <th scope="row">2</th>
                                        <td>Port</td>
                                        <td>{{ results.fusilli_k8s_data_back_plane.port }}</td>

                                    </tr>
                                    <tr>
                                        <th scope="row">3</th>
                                        <td>Kafka Namespace</td>
                                        <td>{{ results.fusilli_k8s_data_back_plane.kafka_namespace }}</td>
                                    </tr>
                                    <tr>
                                        <th scope="row">4</th>
                                        <td>Kafka Name</td>
                                        <td>{{ results.fusilli_k8s_data_back_plane.kafka_name }}</td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    {#                    <div class="col-xl-6">#}
                    {#                        <div class="card mb-4">#}
                    {#                            <div class="card-header">#}
                    {#                                <i class="fas fa-chart-bar mr-1"></i>#}
                    {#                                Bar Chart: Sum of length group by Owner#}
                    {#                            </div>#}
                    {#                            <div class="card-body"></div>#}
                    {#                        </div>#}
                    {#                    </div>#}
                </div>
                <div class="card mb-4">
                    <div class="card-header">
                        <i class="fas fa-table mr-1"></i>
                        Kubernetes Services in Data Table
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                <thead>
                                <tr>
                                    <th>Self Link</th>
                                    <th>Cluster Name</th>
                                    <th>Cluster Name Space</th>
                                    <th>Cluster Ip</th>
                                </tr>

                                </thead>
                                <tfoot>
                                </tfoot>
                                <tbody>
                                {% for service in results.fusilli_k8s_services %}
                                    <tr>
                                        <td>{{ service.self_link }}</td>
                                        <td>{{ service.cluster_name }}</td>
                                        <td>{{ service.cluster_namespace }}</td>
                                        <td>{{ service.cluster_ip }}</td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="card mb-4">
                    <div class="card-header">
                        <i class="fas fa-table mr-1"></i>
                        Kubernetes pods in Data Table
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                <thead>
                                <tr>
                                    <th>Pod ID</th>
                                    <th>Pod Name</th>
                                    <th>Pod Name Space</th>
                                </tr>

                                </thead>
                                <tfoot>
                                </tfoot>
                                <tbody>
                                {% for pod in results.fusilli_k8s_pods %}
                                    <tr>
                                        <td>{{ pod.pod_id }}</td>
                                        <td>{{ pod.pod_name }}</td>
                                        <td>{{ pod.pod_namespace }}</td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>

            </div>
        </main>
        <footer class="py-4 bg-light mt-auto">
            <div class="container-fluid">
                <div class="d-flex align-items-center justify-content-between small">
                    <div class="text-muted"> <a href="https://fusilli.io" target="_blank">FUSILLI LABS LIMITED</a> - The Black Church, St. Mary’s Place, Dublin, 7 (IRL)</div>
                    <div>
                        <a href="https://fusilli.io/privacy.html" target="_blank">Privacy Policy</a>
                        &middot;
                        <a href="https://fusilli.io/terms-of-service.html" target="_blank">Terms &amp; Conditions</a>
                    </div>
                </div>
            </div>
        </footer>
    </div>
</div>
<!-- Bootstrap core JavaScript-->
<script src="{% static 'vendor/jquery/jquery.min.js' %}"></script>
<script src="{% static 'vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>

<!-- Core plugin JavaScript-->
<script src="{% static 'vendor/jquery-easing/jquery.easing.min.js' %}"></script>

<!-- Page level plugin JavaScript-->
<script src="{% static 'vendor/chart.js/Chart.min.js' %}"></script>
<script src="{% static 'vendor/datatables/jquery.dataTables.js' %}"></script>
<script src="{% static 'vendor/datatables/dataTables.bootstrap4.js' %}"></script>

<!-- Custom scripts for all pages-->
<script src="{% static 'js/sb-admin.min.css' %}"></script>
<script src="{% static 'js/scripts.js' %}"></script>

<!-- Demo scripts for this page-->
<script src="{% static 'js/demo/datatables-demo.js' %}"></script>
{#<script src="{% static 'js/demo/chart-area-demo.js' %}"></script>#}
{#<script src="{% static 'js/demo/chart-bar-demo.js' %}"></script>#}
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.min.js" crossorigin="anonymous"></script>

<script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js" crossorigin="anonymous"></script>
<script src="https://cdn.datatables.net/1.10.20/js/dataTables.bootstrap4.min.js" crossorigin="anonymous"></script>
<script type="text/javascript">

    // Set new default font family and font color to mimic Bootstrap's default styling
    Chart.defaults.global.defaultFontFamily = '-apple-system,system-ui,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif';
    Chart.defaults.global.defaultFontColor = '#292b2c';
    // Set new default font family and font color to mimic Bootstrap's default styling
    {#Chart.defaults.global.defaultFontFamily = '-apple-system,system-ui,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif';#}
    {#Chart.defaults.global.defaultFontColor = '#292b2c';#}
    // Area Chart Example
    var ctx = document.getElementById("myAreaChart");
    var myLineChart = new Chart(ctx, {
        type: 'line',
        data: {
            labels: {{ results.line.labels | safe}},
            datasets: [{
                label: "Lunghezza",
                lineTension: 0.3,
                backgroundColor: "rgba(2,117,216,0.2)",
                borderColor: "rgba(2,117,216,1)",
                pointRadius: 5,
                pointBackgroundColor: "rgba(2,117,216,1)",
                pointBorderColor: "rgba(255,255,255,0.8)",
                pointHoverRadius: 5,
                pointHoverBackgroundColor: "rgba(2,117,216,1)",
                pointHitRadius: 50,
                pointBorderWidth: 2,
                data: {{ results.line.data | safe}},
            }],
        },
        options: {
            scales: {
                xAxes: [{
                    time: {
                        unit: 'date'
                    },
                    gridLines: {
                        display: false
                    },
                    ticks: {
                        maxTicksLimit: 7
                    }
                }],
                yAxes: [{
                    ticks: {
                        min: 0,
                        max: 40000,
                        maxTicksLimit: 5
                    },
                    gridLines: {
                        color: "rgba(0, 0, 0, .125)",
                    }
                }],
            },
            legend: {
                display: false
            }
        }
    });



    // Bar Chart Example
    var ctx = document.getElementById("myBarChart");
    var myLineChart = new Chart(ctx, {
        type: 'bar',
        data: {
            labels: {{ results.chart.labels | safe}},
            datasets: [{
                label: "Lunghezza",
                backgroundColor: "rgb(220,53,69)",
                borderColor: "rgba(2,117,216,1)",
                data: {{ results.chart.data | safe}},
            }],
        },
        options: {
            scales: {
                xAxes: [{
                    time: {
                        unit: 'month'
                    },
                    gridLines: {
                        display: false
                    },
                    ticks: {
                        maxTicksLimit: 6
                    }
                }],
                yAxes: [{
                    ticks: {
                        min: 0,
                        max: 15000,
                        maxTicksLimit: 5
                    },
                    gridLines: {
                        display: true
                    }
                }],
            },
            legend: {
                display: false
            }
        }
    });

</script>
</body>

</html>
